#include <bits/stdc++.h>
using namespace std;
    int brojac=0;
    int m,n,najmanje;
    int s1=0,s2=0,s3=0,s4=0,s5=0;
    int s6=0,s7=0,s8=0,s9=0,s10=0;
    string s; // duzine m, zabranjena
    string t; // duzine n
int main(){
    cin >> t >> s;
    m=s.size();
    n=t.size();
    for(int i=0; i<=n; i++){
    if(m==1){if(t.substr(i,1)==s.substr(0,1)) s1++;}
    else if(m==2){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;}
    else if(m==3){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;}
    else if(m==4){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;}
    else if(m==5){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;}
    else if(m==6){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;
         if(t.substr(i,1)==s.substr(5,1)) s6++;}
    else if(m==7){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;
         if(t.substr(i,1)==s.substr(5,1)) s6++;
         if(t.substr(i,1)==s.substr(6,1)) s7++;}
    else if(m==8){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;
         if(t.substr(i,1)==s.substr(5,1)) s6++;
         if(t.substr(i,1)==s.substr(6,1)) s7++;
         if(t.substr(i,1)==s.substr(7,1)) s8++;}
    else if(m==9){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;
         if(t.substr(i,1)==s.substr(5,1)) s6++;
         if(t.substr(i,1)==s.substr(6,1)) s7++;
         if(t.substr(i,1)==s.substr(7,1)) s8++;
         if(t.substr(i,1)==s.substr(8,1)) s9++;}
    else if(m==10){if(t.substr(i,1)==s.substr(0,1)) s1++;
         if(t.substr(i,1)==s.substr(1,1)) s2++;
         if(t.substr(i,1)==s.substr(2,1)) s3++;
         if(t.substr(i,1)==s.substr(3,1)) s4++;
         if(t.substr(i,1)==s.substr(4,1)) s5++;
         if(t.substr(i,1)==s.substr(5,1)) s6++;
         if(t.substr(i,1)==s.substr(6,1)) s7++;
         if(t.substr(i,1)==s.substr(7,1)) s8++;
         if(t.substr(i,1)==s.substr(8,1)) s9++;
         if(t.substr(i,1)==s.substr(9,1)) s10++;}
    }

    if(s1!=0){najmanje=s1;}
    if(s2<najmanje and s2!=0){najmanje=s2;}
    if(s3<najmanje and s3!=0){najmanje=s3;}
    if(s4<najmanje and s4!=0){najmanje=s4;}
    if(s5<najmanje and s5!=0){najmanje=s5;}
    if(s6<najmanje and s6!=0){najmanje=s6;}
    if(s7<najmanje and s7!=0){najmanje=s7;}
    if(s8<najmanje and s8!=0){najmanje=s8;}
    if(s9<najmanje and s9!=0){najmanje=s9;}
    if(s10<najmanje and s10!=0){najmanje=s10;}
    cout << najmanje;
    return 0;
}